## kdeutils-2.2.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdeutils
# Version required:    1.0
# Date created:        18 June 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net>
#
# $Id: Makefile,v 1.12 1998/06/20 03:32:02 garbanzo Exp $
#
PKGNAME=	kdeutils-`date "+%y%m%d"`
CATEGORIES=	misc kde

MAINTAINER=	garbanzo@hooked.net

BUILD_DEPENDS=	moc:${PORTSDIR}/x11/qt \
		autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake
INSTALL_ROOT=	${.CURDIR}/${PKGNAME}
LIB_DEPENDS=	qt\\.1\\.3[0-9]:${PORTSDIR}/x11/qt133 \
		gif\\.[23]\\.:${PORTSDIR}/graphics/giflib \
		jpeg\\.9\\.:${PORTSDIR}/graphics/jpeg \
		kdecore\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs \
		kdeui\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs \
		jscript\\.0\\.9[0-9]:${PORTSDIR}/x11/kdelibs \
		khtmlw\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs \
		kfm\\.0\\.9[0-9]:${PORTSDIR}/x11/kdelibs \
		mediatool\\.0\\.9[1-9]:${PORTSDIR}/x11/kdelibs
NO_MTREE=	yup
USE_GMAKE=	"without a doubt"
NO_WRKDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
NO_EXTRACT=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--x-inc=$(X11BASE)/include" \
		"--x-lib=$(X11BASE)/lib" \
		"--with-install-root=$(INSTALL_ROOT)" \
		"--with-extra-includes=$(PREFIX)/include/giflib"

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdeutils (4:2.2.0-final-1) unstable; urgency=low
 
  * New upstream version 2.2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 30 Jul 2001 00:01:00 -0700

kdeutils (4:2.2.0-0.1beta1-1) unstable; urgency=low
 
  * Sync with upstream
  * More gcc3 fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 26 Jul 2001 20:22:00 -0700

kdeutils (4:2.2.0-0beta1-3) unstable; urgency=low
 
  * Sync with upstream
  * More alpha fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 03:44:00 -0700

kdeutils (4:2.2.0-0beta1-2) unstable; urgency=low
 
  * Sync with upstream
  * Autobuild for alpha now
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Jul 2001 02:37:00 -0700

kdeutils (4:2.2.0-0beta1-1) unstable; urgency=low
 
  * Sync with upstream
  * Fix ktimer description (Closes: #102939)
  * Fix mips build
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 20:30:00 -0700

kdeutils (4:2.2-cvs20010622-1) unstable; urgency=low
 
  * New upstream cvs pull
  * 2.2 beta 1
  * Adding in Enhances
  * New package: klprfax (Closes: #100507)
  * Fixes these problems:
         %CPU field problem (Closes: #85272)
         bad translation in df causes kdf to crash (Closes: 94011)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Jun 2001 06:30:00 -0700

kdeutils (4:2.1.1-2) unstable; urgency=low
 
  * Update menu bits to include new kde menu remval tag
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Apr 2001 17:48:00 -0700

kdeutils (4:2.1.1-1.0.1) unstable; urgency=low
 
  * Rebuild with older libc
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Mar 2001 15:13:00 -0700

kdeutils (4:2.1.1-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Mar 2001 15:13:00 -0700

kdeutils (4:2.1.0-2) unstable; urgency=low
 
  * Fix kfloppy by switching from fdformat to superformat...it now at least
    formats. 
  * Some other upstream updates as well
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 12 Mar 2001 15:13:00 -0700

kdeutils (4:2.1.0-1) unstable; urgency=low
 
  * New upstream CVS pull
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 08 Mar 2001 02:03:00 -0700

kdeutils (4:2.1-final-1) unstable; urgency=low
 
  * New upstream version
  * Upping standards version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:31:00 -0700

kdeutils (4:2.1-beta2-0128-1) unstable; urgency=low
 
  * kdf re-added
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 29 Jan 2001 10:46:00 -0700

kdeutils (4:2.1-beta2-1) unstable; urgency=low
 
  * New upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 06:00:00 -0700

kdeutils (4:2.1-20010115-1) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:00:00 -0700

kdeutils (4:2.1-20010106-1) unstable; urgency=low
 
  * More upstream fixes
  * Updating/fixing depends and build-depends
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 06 Jan 2001 23:30:00 -0700

kdeutils (4:2.1-20010101-1) unstable; urgency=low
 
  * More upstream fixes
        
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 17:11:00 -0700
	 

kdeutils (4:2.1-20001218-1) unstable; urgency=low
 
  * More upstream fixes
  * Removing extra mime files (Closes: #79887)
  * Adding in new menu hints (Closes: #80030, #80021, #80068))
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 09:55:00 -0700

kdeutils (4:2.1-20001216-1) unstable; urgency=low
 
  * More upstream fixes
  * Adding in missing conflicts for kdeutils
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Dec 2000 23:55:00 -0700

kdeutils (4:2.1-20001213-1) unstable; urgency=low
 
  * New upstream beta version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 18:00:00 -0700

kdeutils (4:2.0-final-7) unstable; urgency=low
 
  * Fixing package confliction (Closes: #77670)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 21 Nov 2000 17:00:00 -0700

kdeutils (4:2.0-final-6) unstable; urgency=low
 
  * more upstream fixes
  * build-depends cleanup
  * adding in lintian overrides
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 21 Nov 2000 07:30:00 -0700

kdeutils (4:2.0-final-5) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 06:30:00 -0700

kdeutils (4:2.0-final-4) unstable; urgency=low
 
  * more upstream fixes
  * adding in menu hints
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 09 Nov 2000 22:45:00 -0700

kdeutils (4:2.0-final-3) unstable; urgency=low
 
  * more upstream fixes
  * mime entry fixes (again)
  * build against new xlibs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:00:00 -0700
                                                                                

kdeutils (4:2.0-final-2) unstable; urgency=low
 
  * more upstream fixes
  * mime entry fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Nov 2000 18:00:00 -0700
                                                                                

kdeutils (4:2.0-final-0) unstable; urgency=low
 
  * KDE 2.0
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Oct 2000 00:00:00 -0700
                                                                                

kdeutils (4:2.0-20001016-0) unstable; urgency=low

  * more upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 15:00:00 -0700

kdeutils (4:2.0-20001011-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 12 Oct 2000 06:00:00 -0700
                                                                                

kdeutils (4:2.0-20001006-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 15:00:00 -0700
                                                                                

kdeutils (4:2.0-20001005-0) unstable; urgency=low
 
  * More upstream fixes


=== debian/control ===
Source: kdeutils
Build-Depends: autoconf2.13, automake, debhelper (>> 3.0.0), kdelibs-dev (>= 4:2.2.0-final-1), libtool, g++-3.0 [alpha], gcc-3.0 [alpha]
Section: utils
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.5.5

Package: ark
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Suggests: zip | zip-crypt, unzip | unzip-crypt, unarj, ncompress, rar, zoo
Enhances: kdebase, konqueror
Description: An archiver for KDE
 An archiver for KDE
 .
 Supports: zip, tar, tar + commpression (lzop, gzip, bzip2, bzip, compress)
 lha, zoo, rar, ar, etc...
 
Package: kab
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: An addressbook for KDE
 This is the KDE Addressbook
 
Package: klprfax
Architecture: any
Section: utils
Replaces: ark (<< 4:2.2-cvs20010602-2)
Depends: ${shlibs:Depends}, efax, gs
Recommends: kdebase-libs
Enhances: kdebase
Description: A LPD fax frontend using efax
 With this program you can fax by printing to
 an lpd device.
 .
 It requires efax of Ed Casas, http://www.ecc.com.

Package: kdf
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: Disk space GUI for KDE
 This program shows the disk usage of the mounted devices.

Package: karm
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A time tracker for KDE
 KArm is a time tracker for busy people who need
 to keep track of the amount of time they spend
 on various tasks.   
 
Package: kcalc
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A calculator for KDE
 KDE's calculator
 
Package: kcharselect
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A Character set selector for KDE
 A Character set selector for KDE 
 
Package: kdepasswd
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A Password changer frontend for KDE
 This is a simple app for users to change their system passwords with.
 
Package: kedit
Architecture: any
Section: editors
Replaces: kdeutils, task-kdeutils (<< 4:2.0-final-7)
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A simple text editor for KDE
 A simple text editor for KDE 
 
Package: kfind
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A KDE based file finder
 A KDE based file finder
 
Package: kfloppy
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}, fdutils, dosfstools
Recommends: kdebase-libs
Enhances: kdebase
Description: A floppy disk formater frontend
 KFloppy formats disks and puts a DOS or ext2fs filesystem on them
 
Package: khexedit
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A hex editor for KDE
 A hex editor for KDE 
 
Package: kjots
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A small note taker program for KDE
 kjots is a small note taker program. Name and idea are taken from the jots
 program included in the tkgoodstuff package.
 
Package: klaptopdaemon
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}, kdebase
Enhances: task-laptop
Description: battery monitoring and management for laptops
 battery monitoring and management for laptops.
 
Package: kljettool
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: Laser Jet tools for KDE
 Laser Jet tools for KDE 
 
Package: klpq
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: KDE port of a program called xlpq
 Klpq is a frontend to lpq, lprm and lpc
 
Package: knotes
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: Sticky notes for KDE
 Sticky notes for KDE 
 
Package: kpm
Architecture: any
Section: utils
Replaces: kdeutils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: Process manager for KDE
 This is a process manager (top + ps and all) for KDE
 
Package: ktimer
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: a timer for KDE
 This is a timer application for KDE.  It allows you to execute commands
 after a certain amount of time.  It allows for looping commands as well as
 delaying the execution of a command.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# games on the sample debian/rules file for GNU hello by Ian Jackson.
#export DH_VERBOSE=1
 
# This is the debhelper compatability version to use.
export DH_COMPAT=3
tmp = $(shell pwd)/debian/ark
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  COMPILER_FLAGS=CXX=g++-3.0 CC=gcc-3.0 CFLAGS=-mieee CXXFLAGS=-mieee
else
  COMPILER_FLAGS=CXX=g++ CC=gcc
endif
ifeq ($(ARCH),hppa)
  XINERAMA=
else
  XINERAMA=--with-xinerama
endif
ifeq ($(ARCH),i386)
  OBJPRELINK=--enable-objprelink
endif

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	-mv subdirs subdirs.tmp
	-cat subdirs.tmp | grep -v kdessh > subdirs
	-rm -f subdirs.tmp
	$(COMPILER_FLAGS) \
	./configure $(configkde) $(XINERAMA) $(OBJPRELINK)

	$(MAKE)

	touch build-stamp

clean: debian-clean
	dh_clean

debian-clean:
	dh_testdir
	-rm -f debian/debiandirs
	if test -d CVS; then \
	  $(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi
	-$(MAKE) distclean

binary-indep:	build
	dh_testroot
	dh_testdir

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	$(MAKE) DESTDIR=$(tmp)/ install
	cp debian/*.override $(tmp)/usr/share/lintian/overrides/
	for i in `ls $(tmp)/usr/share/lintian/overrides/`; do \
		mv $(tmp)/usr/share/lintian/overrides/$$i $(tmp)/usr/share/lintian/overrides/`echo $$i | sed -e 's#.override##'`; \
	done
	for i in `find debian/ -type l -name "common"`; do \
		rm $$i; \
		ln -s ../common $$i ;\
	done
	dh_undocumented
	dh_installman -a
	dh_movefiles -a --sourcedir=debian/ark
	-rm -f debian/kfind/usr/share/apps/kfind/icons/locolor/22x22/actions/*
	dh_installdocs -a
	dh_installmenu -a
	dh_installmime -a
	dh_installchangelogs -pkdeutils-dev
	dh_installchangelogs -park ark/ChangeLog
	dh_installchangelogs -pkdf
	dh_installchangelogs -pktimer
	dh_installchangelogs -pkarm karm/ChangeLog
	dh_installchangelogs -pkcalc kcalc/ChangeLog
	dh_installchangelogs -pkedit kedit/ChangeLog
	dh_installchangelogs -pkfind kfind/ChangeLog
	dh_installchangelogs -pknotes knotes/ChangeLog
	dh_installchangelogs -pkjots kjots/CHANGES
	dh_installchangelogs -pklpq klpq/CHANGES
	dh_installchangelogs -pkpm kpm/CHANGES
	dh_installchangelogs -pkab
	dh_installchangelogs -pkcharselect
	dh_installchangelogs -pkdepasswd
	dh_installchangelogs -pkfloppy
	dh_installchangelogs -pkhexedit
	dh_installchangelogs -pklaptopdaemon
	dh_installchangelogs -pkljettool
	dh_strip -a
	dh_compress -a -X.docbook
	dh_fixperms -a
	dh_perl -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -l`pwd`/debian/ark/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
